Skip to content
Search
Search the documentation
CreateProjectAnnouncementBodySchema
GitHub GitHub

CreateProjectAnnouncementBodySchema

Variable: CreateProjectAnnouncementBodySchema

const CreateProjectAnnouncementBodySchema: ZodMiniObject<{ category: ZodMiniOptional<ZodMiniEnum<{ announcement: "announcement"; event: "event"; new_feature: "new_feature"; }>>; content: ZodMiniString<string>; title: ZodMiniString<string>; }, $strip>

Defined in: v1/schemas/projects.ts:222

Request body for creating a project announcement.

  • POST /v1/projects/@me/announcements

See

https://docs.top.gg/api/v1/projects#post-projectsmeannouncements